Subject: Offline Message from Hiba Merdad: Hello, I have asked customer service sever
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 16 Jun 2020 20:12:18 -0000

From: Hiba Merdad <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/
Department: 

Hello,

I have asked customer service several times to cancel my order and it has not been cancelled. DHL called me to deliver the item and I refused the delivery. The shipment is now on hold with DHL. When will it be sent back to you and when will you give me back my refund. I have been asking for a cancellation and refund for more than a month now! This is really unacceptable. Terrible customer service. Order number: 200288603

----
Zopim
https://www.zopim.com